Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 484)
@@ -4248,7 +4248,7 @@
                 DateTime dtDefaultStart = CommonMotions.GetOpeningEndDate(nTargetYear, true);
                 DateTime dtDefaultEnd = CommonMotions.GetOpeningEndDate(nTargetYear, false);
 
-                strSQL.Append("Select A.* From");
+                strSQL.AppendFormat("Select {0} From", IOMPersonInCharge.CreateFieldNameList("A."));
                 strSQL.Append(" personinchargemaster As A");
                 strSQL.Append(" Left Join chgchargedep As B");
                 strSQL.Append("       On B.PersonCode = A.PersonCode");
@@ -4347,12 +4347,12 @@
                 strSQL.Append(", A.PersonName");
                 strSQL.Append(", B.DepartmentCode");
                 strSQL.Append(", B.DepartmentName");
-                strSQL.Append(" From");
-                strSQL.Append(" personinchargemaster As A");
-                strSQL.Append(" Left Join chgchargedep As B");
-                strSQL.Append("       On B.PersonCode = A.PersonCode");
+                strSQL.Append(" From personinchargemaster As A");
+                strSQL.Append("      Left Join chgchargedep As B");
+                strSQL.Append("           On B.PersonCode = A.PersonCode");
 
-                strSQL.AppendFormat(" WHERE ((DATE(A.STARTDATE) <= DATE('{0}'))", dtDefaultEnd.ToShortDateString());
+                strSQL.Append(" WHERE");
+                strSQL.AppendFormat(" ((DATE(A.STARTDATE) <= DATE('{0}'))", dtDefaultEnd.ToShortDateString());
                 strSQL.AppendFormat(" AND (DATE('{0}') <= DATE(A.ENDDATE)", dtDefaultStart.ToShortDateString());
                 strSQL.AppendFormat(" OR DATE('{0}') = DATE(A.ENDDATE)))", DateTime.MinValue.ToShortDateString());
 
@@ -4694,22 +4694,27 @@
         /// <summary>
         /// 営業日だけのｎ日前の日付を取る
         /// </summary>
-        public static DateTime GetPrevBusinessDate( DateTime WorktDate, int nCount)
+        public static DateTime GetPrevBusinessDate( DateTime WorktDate, int nCount, int PersonCode = 0)
         {
             IOMHolidayCalender CalDB = new IOMHolidayCalender();
+            IOAllFreeSQL FreeDB = new IOAllFreeSQL();
             try
             {
-                // 当月以前は翌月１日をセットして抜ける
-                if(WorktDate.Year < DateTime.Today.Year
-                    || WorktDate.Month < DateTime.Today.Month)
+                // 当月以前は当月１日をセットして抜ける
+                int nCheckDay = (WorktDate.Year * 100) + WorktDate.Month;
+                int nToday = (DateTime.Today.Year * 100) + DateTime.Today.Month;
+                if (nCheckDay < nToday)
                 {
-                    DateTime dtTarget = new DateTime(WorktDate.Year, WorktDate.Month, 1).AddMonths(1);
+                    DateTime dtTarget = new DateTime(WorktDate.Year, WorktDate.Month, 1);
                     return dtTarget;
                 }
 
                 StringBuilder strSQL = new StringBuilder();
 
-                strSQL.Append("SELECT t1.d, DATE_FORMAT(C.HOLIDAY, '%Y/%m/%d') HOLIDAY FROM");
+                strSQL.Append("SELECT t1.d");
+                strSQL.Append("     , DATE_FORMAT(C.HOLIDAY, '%Y/%m/%d') HOLIDAY");
+                strSQL.Append("     , WEEKDAY(t1.d)");
+                strSQL.Append(" FROM");
                 strSQL.Append("     (SELECT A1.years, A2.month, A3.days");
                 strSQL.Append("           , CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as DATE) as d");
                 strSQL.Append("      FROM yearmaster as A1");
@@ -4726,6 +4731,39 @@
                 ArrayList arList = new ArrayList();
                 CalDB.ExecuteReader(strSQL.ToString(), ref arList);
 
+                // 担当者コードがある場合は勤務シフトの月曜日を０として読み込む
+                ArrayList WeekList = new ArrayList();
+                object[] objWeek = null;
+                DateTime dtEnd = DateTime.Today;
+                if (PersonCode > 0)
+                {
+                    strSQL.Clear();
+                    strSQL.Append("Select");
+                    strSQL.Append(" B.MonValue");
+                    strSQL.Append(", B.TueValue");
+                    strSQL.Append(", B.WedValue");
+                    strSQL.Append(", B.ThuValue");
+                    strSQL.Append(", B.FriValue");
+                    strSQL.Append(", B.SatValue");
+                    strSQL.Append(", B.SunValue");
+                    strSQL.Append(", A.PersonCode");
+                    strSQL.Append(", A.PersonName");
+                    strSQL.Append(", A.EndDate");
+                    strSQL.Append(" From personinchargemaster As A");
+                    strSQL.Append(" Inner Join workingtime As B");
+                    strSQL.Append("       On B.WorkingCode = A.WorkingCode");
+                    strSQL.Append(" Where");
+                    strSQL.AppendFormat(" A.Personcode = {0}", PersonCode);
+
+                    FreeDB.ExecuteReader(strSQL.ToString(), ref WeekList);
+
+                    objWeek = (object[])WeekList[0];
+                    // 退職日が無い場合は日付をＭＡＸにする
+                    dtEnd = CommonMotions.cnvDate(objWeek[9]).Date == DateTime.MinValue.Date
+                                                                            ? DateTime.MaxValue.Date
+                                                                            : CommonMotions.cnvDate(objWeek[9]).Date;
+                }
+
                 DateTime dtRet = DateTime.MinValue;
                 int nPrevCount = 0;
                 foreach(object[] objCalender in arList)
@@ -4738,6 +4776,18 @@
                     DateTime dtholiday = CommonMotions.cnvDate(objCalender[1]);
                     if (DateTime.MinValue.Date != dtholiday.Date) continue;
 
+                    // 担当者コードがある場合は勤務シフトの比較を行う
+                    if (PersonCode > 0)
+                    {
+                        if(PersonCode== 20200401) { Debug.WriteLine(""); }
+                        int nWeekFlg = CommonMotions.cnvInt(objCalender[2]);
+                        // 休みの曜日は除外する
+                        if (CommonMotions.cnvInt(objWeek[nWeekFlg]) == 1) continue;
+
+                        //退職日以降は除外する
+                        if (dtEnd < dtwork.Date) continue;
+                    }
+
                     nPrevCount++;
                     if (nCount <= nPrevCount)
                     {
@@ -4756,6 +4806,7 @@
             finally
             {
                 CalDB.close(); CalDB = null;
+                FreeDB.close(); FreeDB = null;
             }
         }
         #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 484)
@@ -139,7 +139,7 @@
             ConstrExpenses = 126,               // 126:施工経費区分登録
             MaterialKind = 127,                 // 127:資材種類マスタ
             MaterialItem = 128,                 // 128:資材品目マスタ
-            SalesConfirm = 129,                 // 129:売上確認
+            SalesConfirm = 129,                 // 129:売上一覧確認
             BankBusinessDay = 130,              // 130:銀行営業日マスタ
             BudgetCodeSum = 131,                // 131:予算書集計コードマスタ
             AddressConvert = 132,               // 132:郵便番号変換処理
@@ -147,6 +147,8 @@
             QualificationD = 134,               // 134:資格マスタ分類
             QualificationQ = 135,               // 135:資格マスタ区分
             WorkingTime = 136,                  // 136:就業時間マスタ
+            EvalScore = 137,                    // 137:評価点数登録
+            AverageScore = 138,                 // 138:評価点一覧確認
         }
         #endregion
 
@@ -328,6 +330,8 @@
                                                                                 { (int)MaintenanceExecuteNo.QualificationD,             "資格マスタ区分登録" },        // 134
                                                                                 { (int)MaintenanceExecuteNo.QualificationQ,             "資格マスタ登録" },            // 135
                                                                                 { (int)MaintenanceExecuteNo.WorkingTime,                "就業時間マスタ" },            // 136
+                                                                                { (int)MaintenanceExecuteNo.EvalScore,                  "評価点数登録" },              // 137
+                                                                                { (int)MaintenanceExecuteNo.AverageScore,               "評価点一覧確認" },            // 138
                                                                                 };
         #endregion
 
@@ -986,6 +990,12 @@
                         case (int)ClsExcute.MaintenanceExecuteNo.WorkingTime:               // 136:就業時間マスタ
                             MaintenanceExecuteNo_WorkingTime(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)ClsExcute.MaintenanceExecuteNo.EvalScore:                 // 137:評価点数登録
+                            MaintenanceExecuteNo_EvalScore(m_ProcControlPara[NowPoint]);
+                            break;
+                        case (int)ClsExcute.MaintenanceExecuteNo.AverageScore:              // 138:評価点一覧確認
+                            MaintenanceExecuteNo_AverageScore(m_ProcControlPara[NowPoint]);
+                            break;
 
                         #endregion
 
@@ -1784,7 +1794,6 @@
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
                 frm.OrderNo = CurrentPara.IntExecParameter[1];
                 int nApprovalNo = CurrentPara.IntExecParameter[2];
-                frm.PersonCode = CurrentPara.IntExecParameter[3];
                 frm.CreateData = CurrentPara.BoolExecParameter[0];
 
                 // フォーム表示
@@ -4541,8 +4550,79 @@
             }
         }
         #endregion
+
+        #region 評価点数登録
+        /// <summary>
+        /// 評価点数登録
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void MaintenanceExecuteNo_EvalScore(ProcessParameter CurrentPara)
+        {
+            //　評価点数登録
+            FrmEvalScore frm = new FrmEvalScore();
+            try
+            {
+                int ProcessNo = (int)MaintenanceExecuteNo.EvalScore;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
 
+        #region 評価点数一覧確認
+        /// <summary>
+        /// 評価点数一覧確認
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void MaintenanceExecuteNo_AverageScore(ProcessParameter CurrentPara)
+        {
+            //　評価点一覧確認
+            FrmAverageScore frm = new FrmAverageScore();
+            try
+            {
+                int ProcessNo = (int)MaintenanceExecuteNo.AverageScore;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #endregion
+
         #region サブフォーム
         #region 掲示板メッセージ入力
         /// <summary>
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 484)
@@ -196,7 +196,9 @@
                 // 対象データの取得
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append("SELECT");
-                strSQL.Append(" A.*, B.*, C.*");
+                strSQL.AppendFormat(" {0}", IOMessageBoardData.CreateFieldNameList("A."));
+                strSQL.AppendFormat(",{0}", IOMPersonInCharge.CreateFieldNameList("B."));
+                strSQL.AppendFormat(",{0}", IOMSecurity.CreateFieldNameList("C."));
                 strSQL.Append(" FROM");
                 strSQL.Append(" MESSAGEBOARDDATA A");
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER B");
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsOtherProc.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsOtherProc.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsOtherProc.cs	(revision 484)
@@ -491,7 +491,7 @@
 
                 // 工事日報入力起動
                 frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(ConstrCode);
-                frm.PersonCode = PersonCode;
+                //frm.PersonCode = PersonCode;
                 frm.EditLock = EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/Core/ABaseDBProcess.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/Core/ABaseDBProcess.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/Core/ABaseDBProcess.cs	(revision 484)
@@ -3,6 +3,7 @@
 using System.Data;
 using System.Linq;
 using System.Text;
+using System.Diagnostics;
 using System.Collections;
 
 using MySql.Data.MySqlClient; 
@@ -326,7 +327,6 @@
                         //objwrk[i++] = www.ToString().Equals("null") ? "" : www;
                         objwrk[i++] = www is null ? "" : www;
                     }
-
                     arData.Add(objwrk);
 
                 }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 484)
@@ -137,7 +137,7 @@
 
                     strcmd.AppendFormat(" STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
                     strcmd.AppendFormat(", {0}", work.PersonCode.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ActionSchedule);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ActionSchedule));
                     strcmd.AppendFormat(", {0}", work.TargetYear.ToString());
                     strcmd.AppendFormat(", {0}", work.TargetMonth.ToString());
                     strcmd.AppendFormat(", {0}", work.TargetDay.ToString());
@@ -186,7 +186,7 @@
 
                 strcmd.AppendFormat(" STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
                 strcmd.AppendFormat(", {0}", data.PersonCode.ToString());
-                strcmd.AppendFormat(", '{0}'", data.ActionSchedule);
+                strcmd.AppendFormat(", {0}", SeparateString(data.ActionSchedule));
                 strcmd.AppendFormat(", {0}", data.TargetYear.ToString());
                 strcmd.AppendFormat(", {0}", data.TargetMonth.ToString());
                 strcmd.AppendFormat(", {0}", data.TargetDay.ToString());
@@ -226,7 +226,7 @@
 
                 strcmd.AppendFormat(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
                 strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode.ToString());
-                strcmd.AppendFormat(",ActionSchedule = '{0}'", data.ActionSchedule);
+                strcmd.AppendFormat(",ActionSchedule = {0}", SeparateString(data.ActionSchedule));
                 strcmd.AppendFormat(",TargetYear = {0}", data.TargetYear.ToString());
                 strcmd.AppendFormat(",TargetMonth = {0}", data.TargetMonth.ToString());
                 strcmd.AppendFormat(",TargetDay = {0}", data.TargetDay.ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttNoticeConstrction.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttNoticeConstrction.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttNoticeConstrction.cs	(revision 484)
@@ -189,7 +189,7 @@
                 strcmd.AppendFormat(", {0}", work.AttendanceMonth);                             // 出勤管理年月
                 strcmd.AppendFormat(", {0}", work.OrderNo);                                     // 届番号
                 strcmd.AppendFormat(", {0}", work.ConstructionCode);                            // 工事コード
-                strcmd.AppendFormat(",'{0}'", work.ConstructionName);                           // 工事名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.ConstructionName));            // 工事名称
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -238,7 +238,7 @@
                     strcmd.AppendFormat(", {0}", work.AttendanceMonth);                             // 出勤管理年月
                     strcmd.AppendFormat(", {0}", work.OrderNo);                                     // 届番号
                     strcmd.AppendFormat(", {0}", work.ConstructionCode);                            // 工事コード
-                    strcmd.AppendFormat(",'{0}'", work.ConstructionName);                           // 工事名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ConstructionName));            // 工事名称
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -278,7 +278,7 @@
                 strcmd.AppendFormat(", AttendanceMonth = {0}", data.AttendanceMonth);                       // 出勤管理年月
                 strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);                                       // 届番号
                 strcmd.AppendFormat(", ConstructionCode = {0}", data.ConstructionCode);                     // 工事コード
-                strcmd.AppendFormat(", ConstructionName = '{0}'", data.ConstructionName);                   // 工事名称
+                strcmd.AppendFormat(", ConstructionName = {0}", SeparateString(data.ConstructionName));     // 工事名称
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -349,7 +349,7 @@
                         strcmd.AppendFormat(" ConstructionCode = {0}", (int)value);
                         break;
                     case (int)TableColumn.ConstructionName:     // 工事名称
-                        strcmd.AppendFormat(" ConstructionName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ConstructionName = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs	(revision 484)
@@ -104,6 +104,49 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate")
+                        || strWork.Equals("StartTime") || strWork.Equals("CompTime"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("AttendanceDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SQL作成
         /// <summary>
         /// SQL作成
@@ -110,35 +153,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM AttendanceDailyData", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate")
-                    || strWork.Equals("StartTime") || strWork.Equals("CompTime"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("AttendanceDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM AttendanceDailyData");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -236,13 +262,13 @@
                                             , work.AttendanceDate.ToShortDateString());             // 日報作成日
                 strcmd.AppendFormat(", {0}", work.SeqNo);                                           // 明細行番号
                 strcmd.AppendFormat(", {0}", work.ConstructionCode);                                // 工事番号
-                strcmd.AppendFormat(",'{0}'", work.ActionResult);                                   // 行動実績
+                strcmd.AppendFormat(", {0}", SeparateString(work.ActionResult));                    // 行動実績
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.StartTime);    // 開始時間
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.CompTime);     // 終了時間
                 strcmd.AppendFormat(", {0}", work.DayTimes);                                        // 稼働時間
                 strcmd.AppendFormat(", {0}", work.Overtime);                                        // 時間外就業
                 strcmd.AppendFormat(", {0}", work.OvertimeWA);                                      // 残業認可時間
-                strcmd.AppendFormat(",'{0}'", work.WorkingComment);                                 // コメント
+                strcmd.AppendFormat(", {0}", SeparateString(work.WorkingComment));                  // コメント
                 strcmd.AppendFormat(", {0}", work.WorkKindFlg);                                     // 作業区分フラグ
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -289,13 +315,13 @@
                                                 , work.AttendanceDate.ToShortDateString());             // 日報作成日
                     strcmd.AppendFormat(", {0}", work.SeqNo);                                           // 明細行番号
                     strcmd.AppendFormat(", {0}", work.ConstructionCode);                                // 工事番号
-                    strcmd.AppendFormat(",'{0}'", work.ActionResult);                                   // 行動実績
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ActionResult));                    // 行動実績
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.StartTime);    // 開始時間
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.CompTime);     // 終了時間
                     strcmd.AppendFormat(", {0}", work.DayTimes);                                        // 稼働時間
                     strcmd.AppendFormat(", {0}", work.Overtime);                                        // 時間外就業
                     strcmd.AppendFormat(", {0}", work.OvertimeWA);                                      // 残業認可時間
-                    strcmd.AppendFormat(",'{0}'", work.WorkingComment);                                 // コメント
+                    strcmd.AppendFormat(", {0}", SeparateString(work.WorkingComment));                  // コメント
                     strcmd.AppendFormat(", {0}", work.WorkKindFlg);                                     // 作業区分フラグ
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -339,7 +365,7 @@
                                         , data.AttendanceDate.ToShortDateString());         // 日報作成日
                 strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
                 strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd.AppendFormat(",ActionResult = '{0}'", data.ActionResult);            // 行動実績
+                strcmd.AppendFormat(",ActionResult = {0}", SeparateString(data.ActionResult));  // 行動実績
 
                 strcmd.AppendFormat(",StartTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                         , data.StartTime);                                  // 開始時間
@@ -349,7 +375,7 @@
                 strcmd.AppendFormat(",DayTimes = {0}", data.DayTimes);                      // 稼働時間
                 strcmd.AppendFormat(",Overtime = {0}", data.Overtime);                      // 時間外就業
                 strcmd.AppendFormat(",OvertimeWA = {0}", data.OvertimeWA);                  // 残業認可時間
-                strcmd.AppendFormat(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
+                strcmd.AppendFormat(",WorkingComment = {0}", SeparateString(data.WorkingComment));  // コメント
                 strcmd.AppendFormat(",WorkKindFlg = {0}", data.WorkKindFlg);                // 作業区分フラグ
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -421,7 +447,7 @@
                         strcmd.AppendFormat(" ConstructionCode = {0}", (int)value);
                         break;
                     case (int)TableColumn.ActionResult:
-                        strcmd.AppendFormat(" ActionResult = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ActionResult = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.StartTime:
                         strcmd.AppendFormat(" StartTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToString());
@@ -439,7 +465,7 @@
                         strcmd.AppendFormat(" OvertimeWA = {0}", (decimal)value);
                         break;
                     case (int)TableColumn.WorkingComment:
-                        strcmd.AppendFormat(" WorkingComment = '{0}'", CommonMotions.cnvString(value));
+                        strcmd.AppendFormat(" WorkingComment = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.WorkKindFlg:
                         strcmd.AppendFormat(" WorkKindFlg = {0}", (int)value);
